Subject: [PATCH v5 1/5] phy: add a driver for the Rockchip SoC internal USB2.0 PHY

From: [email-masked] (Chris Zhong)
Date: Thu, 11 Dec 2014 15:16:06 +0800

On 12/11/2014 03:06 PM, Joe Perches wrote:
> On Thu, 2014-12-11 at 14:52 +0800, Yunzhi Li wrote:
>> On 2014/12/11 14:37, Joe Perches wrote:
>>> On Thu, 2014-12-11 at 11:57 +0530, Kishon Vijay Abraham I wrote:
> []
>>>> So If I have to write something on bit 0, I have to set bit 16.
>>>> If I have to write something on bit 1, I have to set bit 17.
>>>> If I have to write something on bit 2, I have to set bit 18.
>>>> and so on.
>>> To me it'd look better to use another << rather than a plus
>> Like (BIT(13) << 16)? It looks strange, or could I just use ((1 << 13)
>> << 16) to describe this bit ?
> Up to you.  To me, the BIT(x+y) seems odd.
I think BIT(29) is better, since you have described in comments.